2016.4.23浙江省赛(zoj3936 zoj3938 zoj3940 zoj3944 zoj3946 zoj3947 )
A Apples and Ideas
Time Limit: 2 Seconds Memory Limit: 65536 KB
"If you have an apple and I have an apple and we exchange these apples then you and I will still each have one apple. But if you have an idea and I have an idea and we exchange these ideas, then each of us will have two ideas." - George Bernard Shaw
Now Alice has A apples and B ideas, while Bob has C apples and D ideas, what will they have if they exchange all things?
Input
There are multiple test cases. The first line of input contains an integer T indicating the number of test cases. For each test case:
The only line contains four integers A, B, C, D (0 <= A, B, C, D <= 100) - as the problem described.
Output
For each test case, output two lines. First line contains two integers, indicating the number of Alice's apples and ideas; second line contains two integers, indicating the number of Bob's apples and ideas.
Sample Input
4
0 0 5 30
20 25 20 0
20 25 20 15
20 25 25 30
Sample Output
5 30
0 30
20 25
20 25
20 40
20 40
25 55
20 55 题意:苹果交换数目一定,idea交换数目增倍; AC代码:
/*签到题*/
#include <iostream>
#include <cstdio>
#include <cstring>
#include <algorithm>
#include <cmath>
#include <queue>
#include <stack>
#include <map>
using namespace std;
typedef long long ll;
const ll mod=1e9+;
const int N=1e5+;
int a,b,c,d;
int main()
{
int t;
scanf("%d",&t);
while(t--)
{
scanf("%d%d%d%d",&a,&b,&c,&d);
printf("%d %d\n",c,b+d);
printf("%d %d\n",a,b+d);
} return ;
}
C Defuse the Bomb
Time Limit: 2 Seconds Memory Limit: 65536 KB
The bomb is about to explode! Please defuse it as soon as possible!
There is a display showing a number from 1 to 4 on the bomb. Besides this, there are 4 buttons under the display. Each button is labeled by a number from 1 to 4. The numbers on the buttons are always distinct.
There are 5 defusing stages in total. Pressing the correct button can progress the bomb to the next defusing stage. The number on the display and the number on each button may be different in different stages. The bomb will be defused only when all 5 defusing stages get passed. Pressing the incorrect button will cause the bomb to explode immediately. Be careful!
Here is the detailed bomb defusing manual. Button positions are ordered from left to right.
Stage 1:
- If the display is 1, press the button in the second position.
- If the display is 2, press the button in the second position.
- If the display is 3, press the button in the third position.
- If the display is 4, press the button in the fourth position.
Stage 2:
- If the display is 1, press the button labeled "4".
- If the display is 2, press the button in the same position as you pressed in stage 1.
- If the display is 3, press the button in the first position.
- If the display is 4, press the button in the same position as you pressed in stage 1.
Stage 3:
- If the display is 1, press the button with the same label you pressed in stage 2.
- If the display is 2, press the button with the same label you pressed in stage 1.
- If the display is 3, press the button in the third position.
- If the display is 4, press the button labeled "4".
Stage 4:
- If the display is 1, press the button in the same position as you pressed in stage 1.
- If the display is 2, press the button in the first position.
- If the display is 3, press the button in the same position as you pressed in stage 2.
- If the display is 4, press the button in the same position as you pressed in stage 2.
Stage 5:
- If the display is 1, press the button with the same label you pressed in stage 1.
- If the display is 2, press the button with the same label you pressed in stage 2.
- If the display is 3, press the button with the same label you pressed in stage 4.
- If the display is 4, press the button with the same label you pressed in stage 3.
Input
There are multiple test cases. The first line of input is an integer T indicating the number of test cases. For each test case:
There are 5 lines. Each line contains 5 integers D, B1, B2, B3, B4 indicating the number on the display and the numbers on the buttons respectively. The i-th line correspond to the i-th stage.
Output
For each test case, output 5 lines. The i-th line contains two integers indicating the position and the label of the correct button for the i-th stage.
Sample Input
1
4 2 1 3 4
2 2 4 3 1
4 3 1 4 2
4 3 4 2 1
2 3 1 2 4
Sample Output
4 4
4 1
3 4
4 1
2 1 题意: 按给的要求找出每次操作的按钮的位置和数字;
一开始==写成=,怎么都找不出错误,最后还是老同学找的数据,然后才发现错误; 思路: 感觉好几题就是这样分情况讨论; AC代码:
#include <iostream>
#include <cstdio>
#include <cstring>
#include <algorithm>
#include <cmath>
#include <queue>
#include <stack>
#include <map>
using namespace std;
typedef long long ll;
const ll mod=1e9+;
const int N=1e6+;
int flag[],a[][],pos[],ans[];
int main()
{ int t;
scanf("%d",&t);
while(t--)
{
for(int i=;i<=;i++)
{
scanf("%d",&flag[i]);
for(int j=;j<=;j++)
{
scanf("%d",&a[i][j]);
}
} if(flag[]==||flag[]==)
{
pos[]=;
ans[]=a[][];
}
else
{
pos[]=flag[];
ans[]=a[][pos[]];
} if(flag[]==||flag[]==)
{
pos[]=pos[];
ans[]=a[][pos[]];
}
else if(flag[]==)
{
pos[]=;
ans[]=a[][];
}
else
{
ans[]=;
for(int i=;i<=;i++)
{
if(a[][i]==)
{
pos[]=i;
break;
}
}
}
if(flag[]==)
{
ans[]=ans[];
for(int i=;i<=;i++)
{
if(a[][i]==ans[])
{
pos[]=i;
break;
}
}
}
else if(flag[]==)
{
ans[]=ans[];
for(int i=;i<=;i++)
{
if(a[][i]==ans[])
{
pos[]=i;
break;
}
}
}
else if(flag[]==)
{
pos[]=;
ans[]=a[][];
}
else
{
ans[]=;
for(int i=;i<=;i++)
{
if(a[][i]==)
{
pos[]=i;
break;
}
}
} if(flag[]==)
{
pos[]=pos[];
ans[]=a[][pos[]];
}
else if(flag[]==)
{
pos[]=;
ans[]=a[][];
}
else
{
pos[]=pos[];
ans[]=a[][pos[]];
} if(flag[]==||flag[]==)
{
ans[]=ans[flag[]];
for(int i=;i<=;i++)
{
if(a[][i]==ans[])
{
pos[]=i;
break;
}
}
}
else if(flag[]==)
{
ans[]=ans[];
for(int i=;i<=;i++)
{
if(a[][i]==ans[])
{
pos[]=i;
break;
}
}
}
else
{
ans[]=ans[];
for(int i=;i<=;i++)
{
if(a[][i]==ans[])
{
pos[]=i;
break;
}
}
}
for(int i=;i<=;i++)
{
printf("%d %d\n",pos[i],ans[i]);
}
} return ;
}
E Modulo Query
Time Limit: 2 Seconds Memory Limit: 65536 KB
One day, Peter came across a function which looks like:
- F(1, X) = X mod A1.
- F(i, X) = F(i - 1, X) mod Ai, 2 ≤ i ≤ N.
Where A is an integer array of length N, X is a non-negative integer no greater than M.
Peter wants to know the number of solutions for equation F(N, X) = Y, where Y is a given number.
Input
There are multiple test cases. The first line of input contains an integer T, indicating the number of test cases. For each test case:
The first line contains two integers N and M (2 ≤ N ≤ 105, 0 ≤ M ≤ 109).
The second line contains N integers: A1, A2, ..., AN (1 ≤ Ai ≤ 109).
The third line contains an integer Q (1 ≤ Q ≤ 105) - the number of queries. Each of the following Q lines contains an integer Yi (0 ≤ Yi ≤ 109), which means Peter wants to know the number of solutions for equation F(N, X) = Yi.
Output
For each test cases, output an integer S = (1 ⋅ Z1 + 2 ⋅ Z2 + ... + Q ⋅ ZQ) mod (109 + 7), where Zi is the answer for the i-th query.
Sample Input
1
3 5
3 2 4
5
0
1
2
3
4
Sample Output
8 题意: 给出这个式子问[0,M]有多少个满足f[N,X]=Y;0<=x<=M; 思路:
式子化简后可以知道是求[0,M]总满足 x%A1%A2%...%AN=Y的方案数;
询问较多,所以要处理出[0,M]连续取模后的结果;
可以用mp[x]存取模后小于等于x的数目,这里的是压缩存储;
每次%Ai时取出优先队列的上面>=Ai的取模,把结果更新;
再就是询问的处理,把最后队列的都取出来,(取出即有序)弄个后缀和利于得到结果,二分查找大于等于Qi的第一个位置,那么比它大的和就是结果啦,
还是看看代码吧; AC代码:
#include <iostream>
#include <cstdio>
#include <cstring>
#include <algorithm>
#include <cmath>
#include <queue>
#include <stack>
#include <map>
using namespace std;
typedef long long ll;
const ll mod=1e9+;
const int N=1e5+;
int n,m,a[N],q,x,b[N],sum[N];
map<int,int>mp,vis;
priority_queue<int>qu;
int main()
{
int t;
scanf("%d",&t);
while(t--)
{
while(!qu.empty())qu.pop();
mp.clear();
vis.clear();
scanf("%d%d",&n,&m);
for(int i=;i<=n;i++)
{
scanf("%d",&a[i]);
}
qu.push(m);
mp[m]=;
vis[m]=;
for(int i=;i<=n;i++)
{
while(!qu.empty())
{
int fr=qu.top();
if(fr>=a[i])
{
mp[a[i]-]+=fr/a[i]*mp[fr];
mp[fr%a[i]]+=mp[fr];
if(!vis[a[i]-])
{
qu.push(a[i]-);
vis[a[i]-]=;
}
if(!vis[fr%a[i]])
{
qu.push(fr%a[i]);
vis[fr%a[i]]=;
} mp[fr]=;
qu.pop();
}
else break;
}
}
int cnt=qu.size()-;
int num=cnt;
while(!qu.empty())
{
b[cnt--]=qu.top();
qu.pop();
}
sum[num+]=;
for(int i=num;i>=;i--)
{
sum[i]=sum[i+]+mp[b[i]];
}
scanf("%d",&q);
ll ans=;
for(int i=;i<=q;i++)
{
scanf("%d",&x);
int pos=lower_bound(b,b+num+,x)-b;
ans+=(ll)i*(ll)sum[pos]%mod;
ans%=mod;
}
cout<<ans<<"\n";
//printf("%I64d\n",ans);
}
return ;
}
I People Counting
Time Limit: 2 Seconds Memory Limit: 65536 KB
In a BG (dinner gathering) for ZJU ICPC team, the coaches wanted to count the number of people present at the BG. They did that by having the waitress take a photo for them. Everyone was in the photo and no one was completely blocked. Each person in the photo has the same posture. After some preprocessing, the photo was converted into a H×W character matrix, with the background represented by ".". Thus a person in this photo is represented by the diagram in the following three lines:
.O.
/|\
(.)
Given the character matrix, the coaches want you to count the number of people in the photo. Note that if someone is partly blocked in the photo, only part of the above diagram will be presented in the character matrix.
Input
There are multiple test cases. The first line of input contains an integer T indicating the number of test cases. For each test case:
The first contains two integers H, W (1 ≤ H, W ≤ 100) - as described above, followed by H lines, showing the matrix representation of the photo.
Output
For each test case, there should be a single line, containing an integer indicating the number of people from the photo.
Sample Input
2
3 3
.O.
/|\
(.)
3 4
OOO(
/|\\
()))
Sample Output
1
4 题意: 给一个人的形态,再给一张照片,问这里面有多少人; 思路: 人的形态是固定的,那么根据一个部位搜索剩下的部位就好了; AC代码:
#include <iostream>
#include <cstdio>
#include <cstring>
#include <algorithm>
#include <cmath>
#include <queue>
#include <stack>
#include <map>
using namespace std;
typedef long long ll;
const ll mod=1e9+;
const int N=1e5+;
char s[][];
int n,m,flag[],vis[][],ans=;
int check(int x,int y)
{
if(s[x][y]=='O')
{
int fx=x+,fy=y;
if(fx<n&&s[fx][fy]=='|')
{
vis[fx][fy]=;
}
fx=x+,fy=y-;
//cout<<fx<<" "<<fy<<"%"<<" "<<s[fx][fy]<<endl;
if(fx<n&&fy>=&&s[fx][fy]=='(')
{
vis[fx][fy]=;
}
fx=x+,fy=y+;
if(fx<n&&fy<m&&s[fx][fy]==')')
{
vis[fx][fy]=;
}
fx=x+,fy=y-;
if(fx<n&&fy>=&&s[fx][fy]=='/')
{
vis[fx][fy]=;
}
fx=x+,fy=y+;
if(fx<n&&fy<m&&s[fx][fy]==)
{
vis[fx][fy]=;
}
ans++;
}
else if(s[x][y]=='/')
{ int fx=x,fy=y+;
if(fy<m&&s[fx][fy]=='|')
{
vis[fx][fy]=;
}
fx=x+,fy=y;
if(fx<n&&fy>=&&s[fx][fy]=='(')
{
vis[fx][fy]=;
}
fx=x+,fy=y+;
if(fx<n&&fy<m&&s[fx][fy]==')')
{
vis[fx][fy]=;
}
fx=x-,fy=y+;
if(fx>=&&fy<m&&s[fx][fy]=='O')
{
vis[fx][fy]=;
}
fx=x,fy=y+;
if(fx<n&&fy<m&&s[fx][fy]==)
{
vis[fx][fy]=;
}
ans++;
}
else if(s[x][y]=='|')
{
int fx=x-,fy=y;
if(fx>=&&s[fx][fy]=='O')
{
vis[fx][fy]=;
}
fx=x+,fy=y-;
if(fx<n&&fy>=&&s[fx][fy]=='(')
{
vis[fx][fy]=;
}
fx=x+,fy=y+;
if(fx<n&&fy<m&&s[fx][fy]==')')
{
vis[fx][fy]=;
}
fx=x,fy=y-;
if(fx<n&&fy>=&&s[fx][fy]=='/')
{
vis[fx][fy]=;
}
fx=x,fy=y+;
if(fx<n&&fy<m&&s[fx][fy]==)
{
vis[fx][fy]=;
}
ans++;
}
else if(s[x][y]==)
{
int fx=x,fy=y-;
if(fy>=&&s[fx][fy]=='|')
{
vis[fx][fy]=;
}
fx=x+,fy=y-;
if(fx<n&&fy>=&&s[fx][fy]=='(')
{
vis[fx][fy]=;
}
fx=x+,fy=y;
if(fx<n&&fy<m&&s[fx][fy]==')')
{
vis[fx][fy]=;
}
fx=x,fy=y-;
if(fx<n&&fy>=&&s[fx][fy]=='/')
{
vis[fx][fy]=;
}
fx=x-,fy=y-;
if(fx>=&&fy>=&&s[fx][fy]=='O')
{
vis[fx][fy]=;
}
ans++;
}
else if(s[x][y]=='(')
{
int fx=x-,fy=y+;
if(fx>=&&fy<m&&s[fx][fy]=='|')
{
vis[fx][fy]=;
}
fx=x-,fy=y+;
if(fx>=&&fy<m&&s[fx][fy]=='O')
{
vis[fx][fy]=;
}
fx=x,fy=y+;
if(fx<n&&fy<m&&s[fx][fy]==')')
{
vis[fx][fy]=;
}
fx=x-,fy=y;
if(fx>=&&fy>=&&s[fx][fy]=='/')
{
vis[fx][fy]=;
}
fx=x-,fy=y+;
if(fx>=&&fy<m&&s[fx][fy]==)
{
vis[fx][fy]=;
}
ans++;
}
else if(s[x][y]==')')
{
int fx=x-,fy=y-;
if(fx>=&&fy>=&&s[fx][fy]=='|')
{
vis[fx][fy]=;
}
fx=x,fy=y-;
if(fx<n&&fy>=&&s[fx][fy]=='(')
{
vis[fx][fy]=;
}
fx=x-,fy=y-;
if(fx>=&&fy>=&&s[fx][fy]=='O')
{
vis[fx][fy]=;
}
fx=x-,fy=y-;
if(fx>=&&fy>=&&s[fx][fy]=='/')
{
vis[fx][fy]=;
}
fx=x-,fy=y;
if(fx>=&&fy<m&&s[fx][fy]==)
{
vis[fx][fy]=;
}
ans++;
}
}
int main()
{
int t;
scanf("%d",&t);
while(t--)
{
ans=;
memset(flag,,sizeof(flag));
memset(vis,,sizeof(vis));
scanf("%d%d",&n,&m);
for(int i=;i<n;i++)
{
scanf("%s",s[i]);
}
for(int i=;i<n;i++)
{
for(int j=;j<m;j++)
{
if(!vis[i][j])
{
// cout<<i<<" "<<j<<"@"<<endl;
check(i,j);
}
}
}
printf("%d\n",ans);
} return ;
}
K Highway Project
Time Limit: 2 Seconds Memory Limit: 65536 KB
Edward, the emperor of the Marjar Empire, wants to build some bidirectional highways so that he can reach other cities from the capital as fast as possible. Thus, he proposed the highway project.
The Marjar Empire has N cities (including the capital), indexed from 0 to N - 1 (the capital is 0) and there are M highways can be built. Building the i-th highway costs Cidollars. It takes Di minutes to travel between city Xi and Yi on the i-th highway.
Edward wants to find a construction plan with minimal total time needed to reach other cities from the capital, i.e. the sum of minimal time needed to travel from the capital to city i (1 ≤ i ≤ N). Among all feasible plans, Edward wants to select the plan with minimal cost. Please help him to finish this task.
Input
There are multiple test cases. The first line of input contains an integer T indicating the number of test cases. For each test case:
The first contains two integers N, M (1 ≤ N, M ≤ 105).
Then followed by M lines, each line contains four integers Xi, Yi, Di, Ci (0 ≤ Xi, Yi < N, 0 < Di, Ci < 105).
Output
For each test case, output two integers indicating the minimal total time and the minimal cost for the highway project when the total time is minimized.
Sample Input
2
4 5
0 3 1 1
0 1 1 1
0 2 10 10
2 1 1 1
2 3 1 2
4 5
0 3 1 1
0 1 1 1
0 2 10 10
2 1 2 1
2 3 1 2
Sample Output
4 3
4 4 题意: 给一个图,应该是一个连通图,问找到点0到所有点的最小距离和,并且在保证距离最小的同时修这些路的花费最少; 思路: 先跑一波最短路,再在最短路的基础上跑一波最小生成树,哎,wa了,不知道是算法有问题还是代码有问题,先放着, WA代码:
#include <iostream>
#include <cstdio>
#include <cstring>
#include <algorithm>
#include <cmath>
#include <queue>
#include <stack>
#include <map>
using namespace std;
typedef long long ll;
const ll mod=1e9+;
const ll inf=1e15;
const int N=1e5+;
int n,m,head[N],cnt,vis[N],u,v,ti,co,p[N];
ll dis[N];
struct Edge
{
friend bool operator< (Edge x,Edge y)
{
return x.cost<y.cost;
}
int from,to,next,cost,time,flag;
};
Edge edge[*N];
void add_edge(int s,int e,int a,int b)
{
edge[cnt].flag=;
edge[cnt].from=s;
edge[cnt].to=e;
edge[cnt].next=head[s];
edge[cnt].time=a;
edge[cnt].cost=b;
head[s]=cnt++;
}
struct node
{
friend bool operator<(node x,node y)
{
return x.dis>y.dis;
}
int num;
ll dis;
};
node po[N];
priority_queue<node>qu;
queue<int>q;
int findset(int x)
{
if(x==p[x])return x;
p[x]=findset(p[x]);
return p[x];
}
void same(int x,int y)
{
int fx=findset(x),fy=findset(y);
if(fx!=fy)p[fx]=fy;
}
int bfs()
{
for(int i=;i<=n;i++)
{
po[i].num=i;
vis[i]=;
po[i].dis=inf;
}
ll ansti=,ansco=;
vis[]=;
po[].dis=;
for(int i=head[];i!=-;i=edge[i].next)
{
int y=edge[i].to;
po[y].dis=min(po[y].dis,(ll)edge[i].time);
if(!vis[y]){ vis[y]=;
qu.push(po[y]);}
}
while(!qu.empty())
{
node fr=qu.top();
qu.pop();
for(int i=head[fr.num];i!=-;i=edge[i].next)
{
int y=edge[i].to;
po[y].dis=min(po[y].dis,po[fr.num].dis+(ll)edge[i].time);
if(!vis[y])
{
vis[y]=;
qu.push(po[y]);
}
}
}
for(int i=;i<=n;i++)
{
ansti+=po[i].dis;
p[i]=i;
vis[i]=;
}
q.push();
vis[]=;
while(!q.empty())
{
int fr=q.front();
q.pop();
for(int i=head[fr];i!=-;i=edge[i].next)
{
int y=edge[i].to;
if(po[y].dis>=po[fr].dis+(ll)edge[i].time)
{
edge[i].flag=;
}
if(!vis[y])
{
vis[y]=;
q.push(y);
}
}
}
sort(edge,edge+cnt);
for(int i=;i<cnt;i++)
{
if(edge[i].flag){
if(findset(edge[i].from)!=findset(edge[i].to))
{
same(edge[i].from,edge[i].to);
ansco+=(ll)edge[i].cost;
}
}
}
cout<<ansti<<" "<<ansco<<"\n";
}
int main()
{
int t;
scanf("%d",&t);
while(t--)
{
cnt=;
memset(head,-,sizeof(head));
scanf("%d%d",&n,&m);
for(int i=;i<m;i++)
{
scanf("%d%d%d%d",&u,&v,&ti,&co);
add_edge(u+,v+,ti,co);
add_edge(v+,u+,ti,co);
}
bfs();
}
return ;
}
L Very Happy Great BG
Time Limit: 2 Seconds Memory Limit: 65536 KB
The summer training of ZJU ICPC in July is about to end. To celebrate this great and happy day, the coach of ZJU ICPC Team decided to BG everyone!
After a brief discussion, they decided to go to Lou Wai Lou to have a great dinner. Each team member can bring some friends with him/her. Of course, they need to tell the coach the number of friends they will bring.
Now the coach wants to know the total number of participants (excluding the coach himself). Please tell him.
Input
There are multiple test cases. The first line of input contains an integer T indicating the number of test cases. For each test case:
The first line contains an integer N (1 <= N <= 40) - the number of ZJU ICPC members.
The second line contains N non-negative integers, the i-th integer indicates the number of friends (< 1000) that the i-th team member will bring.
Output
For each test case, output the total number of participants.
Sample Input
4
5
0 0 1 2 3
1
0
10
1 2 3 4 5 6 7 8 9 10
2
5 3
Sample Output
11
1
65
10 题意: 问一共有多少人,包括本人及本人带的人; AC代码:
#include <iostream>
#include <cstdio>
#include <cstring>
#include <algorithm>
#include <cmath>
#include <queue>
#include <stack>
#include <map>
using namespace std;
typedef long long ll;
const ll mod=1e9+;
const int N=1e5+;
int a,b,c,d,n;
int main()
{
int t;
scanf("%d",&t);
while(t--)
{
int ans=;
scanf("%d",&n);
for(int i=;i<=n;i++)
{
scanf("%d",&a);
ans+=a+;
}
printf("%d\n",ans);
} return ;
}
2016.4.23浙江省赛(zoj3936 zoj3938 zoj3940 zoj3944 zoj3946 zoj3947 )的更多相关文章
- Murano Weekly Meeting 2016.08.23
Meeting time: 2016.August.23 1:00~2:00 Chairperson: Kirill Zaitsev, from Mirantis Meeting summary: ...
- 2016第十三届浙江省赛 D - The Lucky Week
D - The Lucky Week Edward, the headmaster of the Marjar University, is very busy every day and alway ...
- ZOJ 3937 More Health Points (2016 浙江省赛 B题,可持久维护凸壳)
题目链接 2016 ZJCPC Problem B 题意 CF 660F的树上版本. 其他做的方法都差不多,关键是把凸壳放到树上. 每次确定扔掉几个元素的时候直接$O(1)$修改(先不清楚这个位置 ...
- ZOJ 3940 Modulo Query (2016年浙江省赛E题,区间折叠 + map运用)
题目链接 2016 ZJCPC Problem E 考虑一个开区间$[0, x)$对$a_{i}$取模的过程. $[0, x)$中小于$a_{i}$的部分不变,大于等于$a_{i}$的部分被切下来变 ...
- The 13th Zhejiang Provincial Collegiate Contest(2016年浙江省赛)
前4道水题就不说了,其中我做了C题,1Y,小心仔细写代码并且提交之前得确认无误后提交才能减少出错率. 结果后面2题都由波神做掉,学长带我们飞~ 终榜 官方题解 ZOJ 3946 Highway ...
- 2016 CCPC长春重现赛
1.2016中国大学生程序设计竞赛(长春)-重现赛 2.总结:会做的太少,应变能力也不行,或者说猜题目的能力不行 02 水 04 HDU 5914 Triangle 1.题意:1~n,n个数,问 ...
- 2016 - 1 - 23 json转模型 常用的第三方框架
一: 三个常用的框架 1. Mantle - 所有模型必须继承MTModel 2. JSONModel - 所有模型必须继承JSONModel 3.MJExtension - 不需要继承任何东西. - ...
- OneZero第三次站立会议(2016.3.23)
会议时间:2016年3月23日 13:00~13:15 会议成员:冉华,张敏,王巍,夏一鸣. 会议目的:汇报前一天工作,全体成员评论并修改. 会议内容:以下为会议插图 1.界面原型方面,夏在统计界面中 ...
- noip模拟23[联·赛·题]
\(noip模拟23\;solutions\) 怎么说呢??这个考试考得是非常的惨烈,一共拿了70分,为啥呢 因为我第一题和第三题爆零了,然后第二题拿到了70分,还是贪心的分数 第一题和第二题我调了好 ...
随机推荐
- Java加密技术(八)——数字证书
原文:http://snowolf.iteye.com/blog/391931 请大家在阅读本篇内容时先阅读 Java加密技术(四),预先了解RSA加密算法. 在构建Java代码实现前,我们需要完成证 ...
- 和菜鸟们一起攻克金盾2018SS加密视频
今天刚拿到金盾2018SS加密的视频,界面如下:<ignore_js_op> 机器码由源来的“00000-00000-00000-00000”变成了一串32位的字符串了:<ignor ...
- 在kubernetes 集群运行 odoo
kubernetes 可以自动运行多个 odoo服务的副本,因此 非常适用用来做高可用的odoo部署, 在本例中,odoo服务运行在 kubernetes 集群中, 而 postgreSQL ...
- Spring的Scheme位置
org.springframework.aop.config org.springframework.contex.config org.springframework.ejb.config org. ...
- 三行代码实现.NET MVC统计显示页面的执行时间 超简单的实现方法 分析页面执行效率
三行代码实现.NET MVC统计显示页面的执行时间 超简单的实现方法 分析页面执行效率 博客页脚处添加了页面执行时间统计显示,如下图所示,也可以直接查看网页页脚处. 实现方法非常简单,只需三行代 ...
- shell grep正则匹配汉字
Shell grep正则匹配中文 测试文本 demo_exe.c,内容如下,需要注意保存的编码格式,对输出到终端有影响: 我们中文操作系统ASNI默认是GBK的. #include<stdio. ...
- C++算法之 一句话推断一个整数是不是2 的整数次方
思路:一个整数假设是2的整数次方,那么它的二进制表示中有且仅仅有一位是1,而其它全部位都是0.把这个整数与这个整数减去1之后进行与运算.那么这个整数其中唯一的 1会变为0,这个整数也变为0: 代码: ...
- Oracle中,将毫秒数转换为timestamp类型的两种方法
在许多场景中,开发人员习惯用1970-01-01 00:00:00.000以来的毫秒数来表示具体的时间,这样可以将数据以NUMBER类型存储到数据库中,在某些时候方便比较,同样,有些时候我们需要 把这 ...
- The type List is not generic(转载)
错误:The type List is not generic; it cannot be parameterized with arguments <Activity> 代码如下: pu ...
- MongoDB之增删改查(一)
本文主要介绍MongoDB数据库增删改查操作. 增 mongoDB和其它关系型数据库一样,通过insert来添加数据到集合中去. db.collectionName.insert(内容) 显示数据库中 ...